package org.xbib.io.ftp.fs.spi;

import org.xbib.files.Files;
import org.xbib.files.Provider;

import java.net.URI;
import java.util.Map;

public class FTPFilesProvider implements Provider {
    @Override
    public Files provide(URI uri, Map<String, ?> env) {
        return !uri.isAbsolute() || uri.getScheme().equals("file") ?  new FTPFiles(uri, env) : null;
    }
}
