package org.apache.sshd.fs.spi;

import org.xbib.files.Files;
import org.xbib.files.Provider;

import java.net.URI;
import java.util.Map;

public class SFTPFilesProvider implements Provider {
    @Override
    public Files provide(URI uri, Map<String, ?> env) {
        return !uri.isAbsolute() || uri.getScheme().equals("file") ?  new SFTPFiles(uri, env) : null;
    }
}
